from django import forms


class NummiFileInput(forms.ClearableFileInput):
    template_name = "main/form/fileinput.html"


class NummiForm(forms.ModelForm):
    template_name = "main/form/form_base.html"
    meta_fieldsets = []

    def __init__(self, *args, user, **kwargs):
        super().__init__(*args, **kwargs)

    @property
    def fieldsets(self):
        if self.meta_fieldsets:
            for group in self.meta_fieldsets:
                yield ((self[f] for f in fieldset) for fieldset in group)
        else:
            yield ([f] for f in self)
